User Tools

Site Tools


faq:medisign-system-requirements

What equipment do I need to run MediSign?

MediSign is a cloud application that works on PC, tablets, and smartphones.

You do not need to install anything on your computer. MediSign is available from all your devices that are connected to the Internet (computer, tablet, and smartphone).

All you need is

  • an Internet connection,
  • a modern browser
  • and an active email account.

Modern browser

System security is very important to us. For this reason, we ask you to regularly receive all updates on your system (computer, tablet, smartphone) and obviously to have updated the browser you use.

You can use any modern browser, for example, Google Chrome, Microsoft Edge, Firefox.

Internet Explorer is not supported.

:!: IMPORTANT: MediSign WILL NOT WORK with older browser versions (or will not work properly).

Active email account

“Active email account” is an email account that is in use (you normally exchange emails with this account).

Old email accounts may not work properly. We are referring to accounts that you probably created a long time ago and remained inactive.

There are several problems with old Yahoo accounts (@yahoo.com). Please avoid them.

Our system checks the proper functioning of your email account. In case the emails we send you are too late or are not sent, we will inform you about it. In this case, you need to change the email you use with a modern email account that you can create for FREE. Indicatively:

If you need to change your MediSign email, you can do so here.

:!: IMPORTANT: As email is our main communication channel, if your email does not work properly, unfortunately, you will not be able to maintain your MediSign account.

Useful videos

How to create a Gmail account

How to create a Microsoft email account

faq/medisign-system-requirements.txt · Last modified: 2021/07/04 15:46 by Admin

Copyright © MediSign Ltd. All rights reserved.